<?php
/**
 * This exception is thrown when the default state is missing
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009, 2010 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class InvalidStateException extends FrameworkException {
	/**
	 * The super constructor for all exceptions
	 *
	 * @param	$msgArray	An array with message parts
	 * @param	$code		An optional code for better debugging
	 * @return	void
	 */
	public function __construct (array $msgArray, $code) {
		// Prepare the message
		$message = sprintf("[%s:%d] Cannot resolve state <span class=\"exception_reason\">%s (class name: %s)</span>.",
			$msgArray[0]->__toString(),
			$this->getLine(),
			$msgArray[1],
			$msgArray[0]->getClassName()
		);

		// Set extra data
		$this->setExtraData($msgArray[0]->getClassName() . ':' . $this->getLine());

		// Call parent contructor with message
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
